<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">
    <head th:replace="template :: header"></head>
    <body>

        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h2 th:text="#{label.tsls}">Trusted Lists</h2>
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Signature</th>
                                <th>Country</th>
                                <th>Seq No</th>	
                                <th>Check date</th>
                                <th>Issue date</th>
                                <th>Next update</th>
                                <th>Nb of <abbr title="Trusted Service Providers">TSP</abbr></th>
                                <th>Nb of <abbr title="Trusted Services">TS</abbr></th>
                                <th>Nb of <abbr title="Trusted Certificates">Certs</abbr></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="entry : ${summary}" th:classappend="${!entry.value.wellSigned} ? 'warning' : ''">
                                <td class="text-center" th:if="${entry.value.wellSigned and entry.value.nextUpdate >= #dates.createNow()}">
                                    <span class="glyphicon glyphicon-ok-sign text-success" title="valid"></span>
                                </td>
                                <td class="text-center" th:if="${!entry.value.wellSigned or entry.value.nextUpdate &lt; #dates.createNow()}">
                                    <span class="glyphicon glyphicon-remove-sign text-danger" title="invalid"></span>
                                </td>
                                <td class="text-center"><a th:href="@{/tsl-info/} + ${#strings.toLowerCase(entry.value.countryCode)}" th:text="${entry.value.countryCode}">CC</a></td>	
                                <td class="text-center" th:text="${entry.value.sequenceNumber}">102</td>
                                <td th:text="${entry.value.lastLoading != null} ? ${#dates.format(entry.value.lastLoading, 'HH:mm:ss')} : ''"></td>
                                <td th:text="${entry.value.issueDate != null} ? ${#dates.format(entry.value.issueDate, 'dd/MM/yyyy HH:mm')} : ''"></td>
                                <td th:text="${entry.value.nextUpdate != null} ? ${#dates.format(entry.value.nextUpdate, 'dd/MM/yyyy HH:mm')} : ''" th:classappend="${entry.value.nextUpdate &lt; #dates.createNow() ? 'text-danger' : ''}"></td>
                                <td class="text-center" th:text="${entry.value.nbServiceProviders}">10</td>
                                <td class="text-center" th:text="${entry.value.nbServices}">15</td>
                                <td class="text-center" th:text="${entry.value.nbCertificates}">40</td>
                            </tr> 
                        </tbody>
                    </table>
                </div>
            </div>
            <footer th:replace="template :: footer"></footer>
        </div>
    </body>
</html>
